lv.eparaksts.validation

## Class CertificateValidationResult

- java.lang.Object
- - lv.eparaksts.validation.ValidationResult
  - - lv.eparaksts.validation.CertificateValidationResult

-     public class CertificateValidationResult
      extends ValidationResult

  A `CertificateValidationResult` is a tree structured data set of a signature certificate validation result.

- - ### Field Summary

    - ### Fields inherited from class lv.eparaksts.validation.ValidationResult

      `resultList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertificateValidationResult()`
    `CertificateValidationResult(String id, String description, Date validationDate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TrustedListService` | `getCaQcTrustedListService()`
    `CertificateQualification` | `getCertificateQualification()` Returns the resolved certificate qualification.
    `LotlId` | `getLotlId()` Returns the LOtlId of the trusted list from which the certificate trust status was determined.
    `TrustedList` | `getTrustedList()` Returns the trusted list from which the certificate trust status was determined.
    `String` | `getTrustedListTerritory()` Returns the territory of the trusted list from which the certificate trust status was determined.

    - ### Methods inherited from class lv.eparaksts.validation.ValidationResult

      `addResult, addResult, checkFailed, checkNotChecked, checkPassed, getDescription, getId, getReasons, getResults, getSignatureResult, getStatus, getType, getValidationDate, setDescription, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CertificateValidationResult

          public CertificateValidationResult()

    - #### CertificateValidationResult

          public CertificateValidationResult(String id,
                                             String description,
                                             Date validationDate)

  - ### Method Detail

    - #### getTrustedList

          public TrustedList getTrustedList()

      Returns the trusted list from which the certificate trust status was determined.
      Returns:
        trusted list.

    - #### getTrustedListTerritory

          public String getTrustedListTerritory()

      Returns the territory of the trusted list from which the certificate trust status was determined.
      Returns:
        territory code.

    - #### getLotlId

          public LotlId getLotlId()

      Returns the LOtlId of the trusted list from which the certificate trust status was determined.
      Returns:
        LOtlId.

    - #### getCaQcTrustedListService

          public TrustedListService getCaQcTrustedListService()

    - #### getCertificateQualification

          public CertificateQualification getCertificateQualification()

      Returns the resolved certificate qualification.
      Returns:
        certificate qualification.

Copyright VAS Latvijas Valsts radio un televizijas centrs / Developed by SIA EUSO